%define _mozillapath	%{_libdir}/mozilla/plugins
%define  fversion 1.0pre2

Summary: A browser plugin to allow playing embedded movies on web pages
Name:    mplayerplugin
Version: 1.0
Release: 0.pre2.1mdk
License: GPL
Group:   Networking/WWW
Source0: http://umn.dl.sourceforge.net/sourceforge/mplayerplug-in/mplayerplug-in-%{fversion}.tar.bz2
Source1: http://umn.dl.sourceforge.net/sourceforge/mplayerplug-in/mini.tar.bz2
Patch0:  mplayerplug-in-%{fversion}-zoom.patch.bz2
BuildRequires: XFree86-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://mplayerplug-in.sourceforge.net
Requires: mplayer >= 0.90-0.rc4
Requires: mplayer-gui
Conflicts: mozplugger

%description
Mplayerplug-in is a Netscape/Mozilla browser plugin to allow
playing embedded movies on web pages.

%prep
%setup -n mplayerplug-in -a 1
%patch0 -p1 -b .zoom

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/netscape/plugins \
	$RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_sysconfdir} \
	$RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/mini \
	$RPM_BUILD_ROOT%{_mozillapath}

cat > $RPM_BUILD_ROOT%{_sysconfdir}/mplayerplug-in.conf <<EOF
debug=1
logfile=\$HOME/tmp/mpp.log
vo=xv,x11
ao=oss,alsa9,arts,esd,null
osdlevel=3
#use-gui=mini
#prefer-aspect=1
#download=1
dload-dir=\$HOME/tmp
#keep-download=1
#noembed=1
# Cache Size in kB (default 512 kB)
#cachesize=256
# Custom mime-types
#use-mimetypes=1
# Enable/Disable RealPlayer mime-types (default=0)
#enable-real=1
# Enable/Disable WindowsMedia mime-types (default=1)
#enable-wm=0
# Enable/Disable QuickTime mime-types (default=1)
#enable-qt=0
# Enable/Disable Mpeg mime-types (default=1)
#enable-mpeg=0
EOF

install -m 755 mplayerplug-in.so \
	$RPM_BUILD_ROOT%{_mozillapath}

install -m 644 mini/*.png mini/skin mini/VERSION mini/README \
	$RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/mini/

install -m 644 mplayerplug-in.types $RPM_BUILD_ROOT%{_sysconfdir}

mkdir -p $RPM_BUILD_ROOT%{_mozillapath}
ln -s %{_mozillapath}/mplayerplug-in.so \
	$RPM_BUILD_ROOT%{_libdir}/netscape/plugins/mplayerplug-in.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL README TODO
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/mplayerplug-in.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/mplayerplug-in.types
%{_libdir}/netscape/plugins/mplayerplug-in.so
%{_mozillapath}/mplayerplug-in.so
%{_datadir}/mplayer/Skin/mini

%changelog
* Mon Nov 03 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.pre2.1mdk
- Release 1.0pre2.

* Mon Jun 16 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.80-1mdk
- Release 0.80.
- Removed Patch0, merged.

* Mon May 12 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.71-1mdk
- Updated to release 0.71.

* Sat Mar 22 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.60-2mdk
- Added prefer-aspect=1 to default config.

* Tue Mar 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.60-1mdk
- Updated to release 0.60.
- Updated Patch0.
- Added mini skins

* Mon Feb 17 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.40-2mdk
- Mozilla plugin path to %%{_libdir}/mozilla/plugins.

* Mon Feb 17 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.40-1mdk
- Initial release.
- Added .conf files with default to -vo x11.
- Added patches to allow multiple playing or when audio is busy.
- Added option 'osdevel'.
